<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ID = intval($_GET['id']);
if (isset($_GET['id']) && $_GET['id']!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `comm_category` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0){
$cat = mysql_fetch_array(mysql_query("SELECT * FROM `comm_category` WHERE `id` = '$ID'"));	
$set['title']='Сообщества - '.text($cat['name']).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

if (isset($user) && isset($_GET['act']) && $_GET['act']=='create'){
	if (isset($_POST['name']) && isset($_POST['create']))
	{
	$name = my_esc($_POST['name']);
	if (strlen2($name)>25){ $err[] = "Название содержит более 25 символов"; }
	if (strlen2($name)<3){ $err[] = "Название содержит менее 3 символов"; }
	$mat = antimat($name);
	if ($mat)$err[] = "В названии сообщества обнаружен мат: $mat";
	if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `name` = '$name'"),0)!=0){ $err[] = "Сообщество с таким названием уже есть"; }
	$deviz = my_esc($_POST['deviz']);
	if (strlen2($deviz)>100){ $err[] = "Девиз сообщества содержит более 100 символов"; }
	if (strlen2($deviz)<3){ $err[] = "Девиз сообщества содержит менее 3 символов"; }
	$mat = antimat($deviz);
	if ($mat)$err[] = "В девизе сообщества обнаружен мат: $mat";
	$opis = my_esc($_POST['opis']);
	if (strlen2($opis)>1024){ $err[] = "Описание сообщества содержит более 1024 символов"; }
	if (strlen2($opis)<3){ $err[] = "Описание сообщества содержит менее 3 символов"; }
	$mat = antimat($opis);
	if ($mat)$err[] = "В описании сообщества обнаружен мат: $mat";
	$interes = my_esc($_POST['interes']);
	if (strlen2($interes)>1024){ $err[] = "Интересы сообщества содержат более 1024 символов"; }
	if (strlen2($interes)<3){ $err[] = "Интересы сообщества содержат менее 3 символов"; }
	$mat = antimat($interes);
	if ($mat)$err[] = "В интересах сообщества обнаружен мат: $mat";
	$pravila = my_esc($_POST['pravila']);
	if (strlen2($pravila)>1024){ $err[] = "Правила сообщества содержат более 1024 символов"; }
	if (strlen2($pravila)<3){ $err[] = "Правила сообщества содержат менее 3 символов"; }
	$mat = antimat($pravila);
	if ($mat)$err[] = "В правилах сообщества обнаружен мат: $mat";
	if(isset($_POST['close']))$status = intval($_POST['close']);
	else $status = 0;
	err();
	if (!isset($err)){
		mysql_query("INSERT INTO `comm` (`name`, `opis`, `pravila`, `status`, `interes`, `time`, `id_creater`, `id_category`, `close`) values('$name', '$opis', '$pravila', '$deviz', '$interes', '$time', '$user[id]', '$ID', '$status')");
		$idcomm = mysql_insert_id();
		mysql_query("INSERT INTO `comm_user` (`id_user`, `id_comm`, `level`) values('$user[id]', '$idcomm', '3')");
		$_SESSION['message'] = 'Сообщество '.$name.' успешно создано';
		header("Location: /comm/$idcomm/");
		exit;
	}
	
	}
	echo "<form method=\"post\" name='create_comm' action=\"?id=$ID&act=create\">";
	echo "Название сообщества:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
	echo "Девиз:$tPanel<textarea name=\"deviz\"></textarea><br />\n";
	echo "Описание:$tPanel<textarea name=\"opis\"></textarea><br />\n";
	echo "Интересы:$tPanel<textarea name=\"interes\"></textarea><br />\n";
	echo "Правила:$tPanel<textarea name=\"pravila\"></textarea><br />\n";
	echo "Статус:<br />\n";
	echo "<input name='close' checked='checked'  type='radio' value='0' />Открытое <br />";
	echo "<input name='close'  type='radio' value='1' />Закрытое <br />";
	echo "<input name=\"create\" value=\"Создать\" type=\"submit\" /><br />\n";
	echo "</form>\n";
	echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='?id=$ID'>Назад</a></div>";
	include_once '../sys/inc/tfoot.php';
	exit;
}
$order = "ORDER BY `rating` DESC";
$num = 0;
$sort = 'popular';
if(isset($_GET['sort']) && $_GET['sort']=='close'){
	$order = "AND `close` = '1' ORDER BY `rating` DESC";
	$num = 1;
	$sort = 'close';
}elseif(isset($_GET['sort']) && $_GET['sort']=='new'){
	$order = "ORDER BY `time` DESC";
	$num = 2;
	$sort = 'new';
}
echo "<div id='comments' class='menus'>";

echo "<div class='webmenu'>";
echo "<a href='?id=$ID' ".($num==0?" class='activ'":null).">Популярные</a>";
echo "</div>"; 

echo "<div class='webmenu last'>";
echo "<a href='?id=$ID&sort=close' ".($num==1?" class='activ'":null).">Закрытые</a>";
echo "</div>"; 

echo "<div class='webmenu last'>";
echo "<a href='?id=$ID&sort=new' ".($num==2?" class='activ'":null).">Новые</a>";
echo "</div>"; 

echo "</div>"; 
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id_category` = '$ID' $order"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Нет сообществ';
	echo '</div>';
}
$q=mysql_query("SELECT * FROM `comm` WHERE `id_category` = '$ID' $order LIMIT $start, $set[p_str]");
$nums = 0;
while($comm = mysql_fetch_assoc($q))
{	
	if ($nums==0){
		echo '<div class="nav1">';
		$nums=1;
	}elseif ($nums==1){
		echo '<div class="nav2">';
		$nums=0;
	}
	$idc = intval($comm['id']);
	echo avatar_comm($idc); echo comm_name($idc);
	
	echo'</div>';
}	
if ($k_page>1)str("?id=$ID&",$k_page,$page);
if(isset($user)){
	echo "<div class='foot'><img src='/style/icons/str.gif' alt=''/> <a href='?id=$ID&act=create'>Создать сообщество</a></div>";
}
}else{
	header("Location: /");
}
echo "<div class='foot'><img src='/style/icons/str2.gif' alt=''/> <a href='/comm/'>Категории</a> | <b>$cat[name]</b></div>";
include_once '../sys/inc/tfoot.php';
?>